"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPalletInstance = exports.getMoonAssetId = exports.getOriginAssetId = void 0;
const util_1 = require("@polkadot/util");
function getOriginAssetId(asset) {
    if ((0, util_1.isUndefined)(asset.originAssetId)) {
        throw new Error(`No originAssetId defined for asset ${asset.originSymbol}`);
    }
    return asset.originAssetId;
}
exports.getOriginAssetId = getOriginAssetId;
function getMoonAssetId(chain) {
    if ((0, util_1.isUndefined)(chain.moonAssetId)) {
        throw new Error(`No moonAssetId defined for chain ${chain.chain}`);
    }
    return chain.moonAssetId;
}
exports.getMoonAssetId = getMoonAssetId;
function getPalletInstance(chain) {
    if ((0, util_1.isUndefined)(chain.palletInstance)) {
        throw new Error(`No palletInstance defined for chain ${chain.chain}`);
    }
    return chain.palletInstance;
}
exports.getPalletInstance = getPalletInstance;
//# sourceMappingURL=config.utils.js.map