"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.KUSD = void 0;
const constants_1 = require("../../../constants");
const extrinsic_1 = require("../../../extrinsic");
const moonbase_common_1 = require("../moonbase.common");
const asset = moonbase_common_1.assets[constants_1.Asset.KUSD];
const feeAsset = moonbase_common_1.assets[constants_1.Asset.KAR];
const origin = moonbase_common_1.chains[constants_1.Chain.KaruraAlphanet];
exports.KUSD = {
    asset,
    origin,
    deposit: {
        [origin.chain]: {
            origin,
            balance: moonbase_common_1.balance.tokens(asset.originSymbol),
            extrinsicFeeBalance: moonbase_common_1.balance.system(),
            extrinsic: moonbase_common_1.extrinsic
                .xTokens()
                .transferMultiCurrencies()
                .successEvent(extrinsic_1.XTokensExtrinsicSuccessEvent.TransferredMultiCurrencies)
                .origin(origin)
                .assets(asset, feeAsset),
        },
    },
    withdraw: {
        [origin.chain]: moonbase_common_1.withdraw.xTokens({
            balance: moonbase_common_1.balance.tokens(asset.originSymbol),
            destination: origin,
            feePerWeight: 1,
        }),
    },
};
//# sourceMappingURL=kusd.js.map