"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MOONBASE_CHAINS_CONFIGS = exports.MOONBASE_CHAINS = void 0;
const constants_1 = require("../../constants");
exports.MOONBASE_CHAINS = [
    constants_1.Chain.AlphanetRelay,
    constants_1.Chain.AstarAlphanet,
    constants_1.Chain.BasiliskAlphanet,
    constants_1.Chain.BifrostAlphanet,
    constants_1.Chain.CalamariAlphanet,
    constants_1.Chain.CrustShadowAlphanet,
    constants_1.Chain.DarwiniaAlphanet,
    constants_1.Chain.IntegriteeAlphanet,
    constants_1.Chain.InterBTCAlphanet,
    constants_1.Chain.KaruraAlphanet,
    constants_1.Chain.KhalaAlphanet,
    constants_1.Chain.LitentryAlphanet,
    constants_1.Chain.ParallelAlphanet,
];
exports.MOONBASE_CHAINS_CONFIGS = {
    [constants_1.Chain.AlphanetRelay]: {
        chain: constants_1.Chain.AlphanetRelay,
        name: 'Alphanet Relay',
        ws: 'wss://frag-moonbase-relay-rpc-ws.g.moonbase.moonbeam.network',
        weight: 1000000000,
        parachainId: 0,
        moonAssetId: 100,
    },
    [constants_1.Chain.AstarAlphanet]: {
        chain: constants_1.Chain.AstarAlphanet,
        name: 'Astar Alphanet',
        ws: 'wss://alphanet.astar.network/',
        weight: 1000000000,
        parachainId: 2007,
        palletInstance: 3,
    },
    [constants_1.Chain.BasiliskAlphanet]: {
        chain: constants_1.Chain.BasiliskAlphanet,
        name: 'Basilisk Alphanet',
        ws: 'wss://rpc-01.basilisk-moonbase.hydradx.io',
        weight: 1000000000,
        parachainId: 2090,
        moonAssetId: 0,
    },
    [constants_1.Chain.BifrostAlphanet]: {
        chain: constants_1.Chain.BifrostAlphanet,
        name: 'Bifrost Alphanet',
        ws: 'wss://moonriver.bifrost-rpc.testnet.liebi.com/ws',
        weight: 1000000000,
        parachainId: 2001,
    },
    [constants_1.Chain.CalamariAlphanet]: {
        chain: constants_1.Chain.CalamariAlphanet,
        name: 'Calamari Alphanet',
        ws: 'wss://crispy.moonbase-relay.testnet.calamari.systems',
        weight: 1000000000,
        parachainId: 2084,
        moonAssetId: 8,
    },
    [constants_1.Chain.CrustShadowAlphanet]: {
        chain: constants_1.Chain.CrustShadowAlphanet,
        name: 'Crust Shadow Alphanet',
        ws: 'wss://shadow-rpc-alpha.crustapps.net/',
        weight: 1000000000,
        parachainId: 2012,
    },
    [constants_1.Chain.DarwiniaAlphanet]: {
        chain: constants_1.Chain.DarwiniaAlphanet,
        name: 'Darwinia Alphanet',
        ws: 'wss://pangolin-parachain-alpha-rpc.darwinia.network',
        weight: 1000000000,
        parachainId: 2105,
    },
    [constants_1.Chain.IntegriteeAlphanet]: {
        chain: constants_1.Chain.IntegriteeAlphanet,
        name: 'Integritee Alphanet',
        ws: 'wss://moonbeam-test.integritee.network',
        weight: 1000000000,
        parachainId: 2015,
    },
    [constants_1.Chain.InterBTCAlphanet]: {
        chain: constants_1.Chain.InterBTCAlphanet,
        name: 'interBTC Alphanet',
        ws: 'wss://api-dev-moonbeam.interlay.io/parachain',
        weight: 1000000000,
        parachainId: 1002,
    },
    [constants_1.Chain.KaruraAlphanet]: {
        chain: constants_1.Chain.KaruraAlphanet,
        name: 'Karura Alphanet',
        ws: 'wss://crosschain-dev.polkawallet.io:9908',
        weight: 1000000000,
        parachainId: 2000,
        moonAssetId: 0,
    },
    [constants_1.Chain.KhalaAlphanet]: {
        chain: constants_1.Chain.KhalaAlphanet,
        name: 'Khala Alphanet',
        ws: 'wss://bridge-testnet-api.phala.network/moon/ws',
        weight: 1000000000,
        parachainId: 2004,
    },
    [constants_1.Chain.LitentryAlphanet]: {
        chain: constants_1.Chain.LitentryAlphanet,
        name: 'Litentry Alphanet',
        ws: 'wss://moonbase-parachain-sg-0.litentry.io',
        weight: 1000000000,
        parachainId: 2106,
    },
    [constants_1.Chain.ParallelAlphanet]: {
        chain: constants_1.Chain.ParallelAlphanet,
        name: 'Parallel Alphanet',
        ws: 'wss://crosschain-dev-rpc.parallel.fi',
        weight: 1000000000,
        parachainId: 2085,
        moonAssetId: 113,
    },
};
//# sourceMappingURL=moonbase.chains.js.map