import { Asset, Chain } from '../../../constants';
import { XTokensExtrinsicSuccessEvent } from '../../../extrinsic';
import { assets, balance, chains, extrinsic, withdraw, } from '../moonbase.common';
const asset = assets[Asset.KUSD];
const feeAsset = assets[Asset.KAR];
const origin = chains[Chain.KaruraAlphanet];
export const KUSD = {
    asset,
    origin,
    deposit: {
        [origin.chain]: {
            origin,
            balance: balance.tokens(asset.originSymbol),
            extrinsicFeeBalance: balance.system(),
            extrinsic: extrinsic
                .xTokens()
                .transferMultiCurrencies()
                .successEvent(XTokensExtrinsicSuccessEvent.TransferredMultiCurrencies)
                .origin(origin)
                .assets(asset, feeAsset),
        },
    },
    withdraw: {
        [origin.chain]: withdraw.xTokens({
            balance: balance.tokens(asset.originSymbol),
            destination: origin,
            feePerWeight: 1,
        }),
    },
};
//# sourceMappingURL=kusd.js.map